# weakref.rb

Path: | weakref.rb
Last Update: | Sat Oct 15 23:44:28 AUS Eastern Standard Time 2005

Weak Reference class that does not bother GCing.

Usage:

      foo = Object.new
      foo = Object.new
      p foo.to_s                  # original's class
      foo = WeakRef.new(foo)
      p foo.to_s                  # should be same class
      ObjectSpace.garbage_collect
      p foo.to_s                  # should raise exception (recycled)

### Required files

delegate thread

[Validate]